## simple-whip-client 0.0~git20230314

=== Makefile ===
CC = gcc
STUFF = $(shell pkg-config --cflags "gstreamer-webrtc-1.0 >= 1.16" "gstreamer-sdp-1.0 >= 1.16" gstreamer-video-1.0 libsoup-2.4 json-glib-1.0) -D_GNU_SOURCE
STUFF_LIBS = $(shell pkg-config --libs "gstreamer-webrtc-1.0 >= 1.16" "gstreamer-sdp-1.0 >= 1.16" gstreamer-video-1.0 libsoup-2.4 json-glib-1.0)
OPTS = -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wunused #-Werror #-O2
GDB = -g -ggdb
OBJS = src/whip-client.o

all: whip-client

%.o: %.c
	$(CC) $(ASAN) $(STUFF) -fPIC $(GDB) -c $< -o $@ $(OPTS)

whip-client: $(OBJS)
	$(CC) $(GDB) -o whip-client $(OBJS) $(ASAN_LIBS) $(STUFF_LIBS)

clean:
	rm -f whip-client src/*.o

## simple-whip-client 0.0~git20211111

=== debian/changelog ===
simple-whip-client (0.0~git20211111-3) unstable; urgency=medium

  * stop depend on gstreamer1.0-tools

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Feb 2022 12:57:21 +0100

simple-whip-client (0.0~git20211111-2) unstable; urgency=medium

  * simple re-release targeted unstable

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Feb 2022 12:51:28 +0100

simple-whip-client (0.0~git20211111-1) unstable; urgency=medium

  * initial packaging;
    closes: Bug#1005790

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 15 Feb 2022 00:51:42 +0100

=== debian/control ===
Source: simple-whip-client
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 cmark-gfm,
 debhelper-compat (= 13),
 help2man,
 libglib2.0-dev,
 libgstreamer-plugins-bad1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libjson-glib-dev,
 libsoup2.4-dev,
 pkg-config,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/pkg-voip-team/simple-whip-client.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/simple-whip-client
Homepage: https://github.com/meetecho/simple-whip-client
Rules-Requires-Root: no

Package: simple-whip-client
Architecture: any
Depends:
 gstreamer1.0-libav,
 gstreamer1.0-nice,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-ugly,
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple GStreamer-based WHIP client
 simple-whip-client is a WHIP client implementation,
 using GStreamer.
 .
 WebRTC-HTTP ingestion protocol (WHIP)
 is a simple HTTP based protocol
 that will allow WebRTC based ingest of content
 into streaming servics and/or CDNs.
 .
 GStreamer is a pipeline-based multimedia framework
 that links together a wide variety of media processing systems
 to complete complex workflows.

## simple-whip-client 0.0~git20220405

=== debian/changelog ===
simple-whip-client (0.0~git20220405-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + support ETags for PATCH
    + add options to disable colors and enable timestamps
    + disconnect on eos signal from sink between src and webrtcbin
    + add option to configure latency
      (passed to rtpbin's jitter-buffer)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 06 Apr 2022 15:55:57 +0200

## simple-whip-client 0.0~git20220615

=== debian/changelog ===
simple-whip-client (0.0~git20220615-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + Support parsing Link targets in angle brackets

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.1
  * update git-buildpackage config:
    + enable automatic DEP-14 branch name handling

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Aug 2022 11:45:55 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libjson-glib-dev,
  libsoup2.4-dev,
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/simple-whip-client.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/simple-whip-client
 Homepage: https://github.com/meetecho/simple-whip-client

## simple-whip-client 0.0~git20221026

=== debian/changelog ===
simple-whip-client (0.0~git20221026-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + fix leaks

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.2

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 02 Jan 2023 17:40:32 +0100

## simple-whip-client 0.0~git20230113

=== debian/changelog ===
simple-whip-client (0.0~git20230113-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + Force sendonly in offer

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jan 2023 19:08:46 +0100

## simple-whip-client 0.0~git20230131

=== debian/changelog ===
simple-whip-client (0.0~git20230131-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + Remove strict requirement for x264

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Feb 2023 12:02:11 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libjson-glib-dev,
  libsoup2.4-dev,
  pkg-config,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/simple-whip-client.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/simple-whip-client
 Homepage: https://github.com/meetecho/simple-whip-client

## simple-whip-client 0.0~git20230314

=== debian/changelog ===
simple-whip-client (0.0~git20230314-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:00:35 +1100

simple-whip-client (0.0~git20230314-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:58:31 +0000

simple-whip-client (0.0~git20230314-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    + reset query string when handling Location header

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Jul 2023 08:42:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: simple-whip-client
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:

## simple-whip-client 0.0~git20240308

=== Makefile ===
CC = gcc
STUFF = $(shell pkg-config --cflags "gstreamer-webrtc-1.0 >= 1.16" "gstreamer-sdp-1.0 >= 1.16" gstreamer-video-1.0 libsoup-3.0 json-glib-1.0) -D_GNU_SOURCE
STUFF_LIBS = $(shell pkg-config --libs "gstreamer-webrtc-1.0 >= 1.16" "gstreamer-sdp-1.0 >= 1.16" gstreamer-video-1.0 libsoup-3.0 json-glib-1.0)
OPTS = -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wunused #-Werror #-O2
GDB = -g -ggdb
OBJS = src/whip-client.o

all: whip-client

%.o: %.c
	$(CC) $(ASAN) $(STUFF) -fPIC $(GDB) -c $< -o $@ $(OPTS)

whip-client: $(OBJS)
	$(CC) $(GDB) -o whip-client $(OBJS) $(ASAN_LIBS) $(STUFF_LIBS)

clean:
	rm -f whip-client src/*.o

=== debian/changelog ===
simple-whip-client (0.0~git20240308-1) unstable; urgency=medium

  * Team upload
  * B-D on libsoup-3.0-dev
  * B-D on pkgconf

  [ upstream ]
  * development snapshot

 -- Bastian Germann <bage@debian.org>  Tue, 21 May 2024 08:40:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: simple-whip-client
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
@@ -14,8 +13,8 @@
  libgstreamer-plugins-base1.0-dev,
  libgstreamer1.0-dev,
  libjson-glib-dev,
- libsoup2.4-dev,
- pkg-config,
+ libsoup-3.0-dev,
+ pkgconf,
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/simple-whip-client.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/simple-whip-client

=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_VERSION_UPSTREAM
include /usr/share/dpkg/pkg-info.mk

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
endif

# generate manpage with help2man from -h option
_mkman = \
 help2man $(if $3,--name "$(strip $3)") --no-info --help-option -h --no-discard-stderr --version-string $(DEB_VERSION_UPSTREAM) --output $2 $1 \
 || [ $? -eq 254 ] || { $1 -h; false; }

override_dh_auto_build: $(DOCS)
	dh_auto_build -- GDB= OPTS="$(CFLAGS)"
	$(call _mkman, ./whip-client, debian/whip-client.1, \
		simple GStreamer-based WHIP client)

override_dh_installdocs:
	dh_installdocs --all -- $(DOCS)

%.html: %.md
	cmark-gfm $< > $@

%.txt: %.md
	cmark-gfm --to plaintext $< > $@

%:
	dh $@

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=0.0~git%cd,\
dversionmangle=auto \
https://github.com/meetecho/simple-whip-client.git \
HEAD
